- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# AttributeCheckableFloatArray Class Reference

Search for all occurrences

## Detailed Description

Definition at line 1683 of file math.h.

`#include <math.h>`

Inheritance diagram for AttributeCheckableFloatArray:
[legend]

List of all members.

## Public Member Functions
| AttributeCheckableFloatArray (Node *pOwner=0, const QString &sID="")
Attribute::AttributeType | Type (void) const
| Returns the type of the attribute.
AttributeWidget * | CreateEditorWidget (QWidget *pParent, int iWidth)
| This function creates and returns the address of a QWidget object.

## Constructor & Destructor Documentation

AttributeCheckableFloatArray | ( | Node * | pOwner = `0`,
|  | const QString & | sID = `""`
| ) |  | `[inline]`

Definition at line 1686 of file math.h.

            : AttributeInstance<CheckableFloatArray>( pOwner, sID )
        { m_iSize = sizeof(CheckableFloat); };

## Member Function Documentation

Attribute::AttributeType Type | ( | void |  | ) | const `[inline, virtual]`

Search for all occurrences

Returns the type of the attribute.

Reimplemented from AttributeInstance< CheckableFloatArray >.

Definition at line 1690 of file math.h.

    { return typeUnknown; };

AttributeWidget* CreateEditorWidget | ( | QWidget * | pParent,
|  | int | iWidth
| ) |  | `[inline, virtual]`

Search for all occurrences

This function creates and returns the address of a QWidget object.

The object then can be used in the interface to give the user control over the attribute value. Mudbox calls this function for every attribute in a node when it displays a properties dialog box for it. You must override it if you implement a new kind of attribute and want a special interface.

Reimplemented from AttributeInstance< CheckableFloatArray >.

Definition at line 1691 of file math.h.

        {
            return CreateNewCheckableFloatArrayWidget( pParent, iWidth, (AttributeCheckableFloatArray *)this );
        };

The documentation for this class was generated from the following file:

- Mudbox/math.h

AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray
AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray AttributeCheckableFloatArray